# GridFire: src/include/gridfire/exceptions/error_debug.h File Reference

Loading...
Searching...
No Matches
error_debug.h File Reference
`#include <source_location>`
`#include <string>`
`#include <format>`
`#include "gridfire/exceptions/error_gridfire.h"`
Include dependency graph for error_debug.h:
This graph shows which files directly or indirectly include this file:

## Classes

class | gridfire::exceptions::DebugException
| Exception class for debug-only errors. More...

## Namespaces

namespace | gridfire
namespace | gridfire::exceptions
| Namespace for GridFire exception classes. All custom exceptions defined in GridFire inherit from std::exception and are organized within this namespace for clarity and modularity.